Communauté
Inventor - Français
Bienvenue sur les forums Inventor d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Inventor populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Inventor : Libellé des coupes

5 RÉPONSES 5
RÉSOLU
Répondre
Message 1 sur 6
jeanlouisJ54M5
290 Visites, 5 Réponses

Inventor : Libellé des coupes

Bonjour,

Concernant les noms de coupe sur inventor j'ai remarqué qu'il n'utilise pas tout l'alphabet ... il saute les lettres I, O, S, X et Z y'a t'ilquelque chose à faire pour que toutes les lettres soient utilisées ?

5 RÉPONSES 5
Message 2 sur 6
gmassart
en réponse à: jeanlouisJ54M5

Bonsoir

J'imagine que c'est pour éviter des confusions de lecture en fonction de la police de caractères utilisée.

Il est toujours possible de forcer à la main de toute façon, perso j'ai fait une petite macro que je lance à la fin de mes plans (en multipage nous travaillons) qui renomme toutes les vues pour recommencer à "A" pour chaque page

Idem pour les vues de détails

Sub SectionViewRename()
    Dim oDrawing As DrawingDocument
    Dim oSheet As Sheet
    Dim oView As DrawingView
    Dim iSheetSectionCounter As Integer
    If ThisApplication.ActiveDocument.DocumentType = kDrawingDocumentObject Then
    Set oDrawing = ThisApplication.ActiveDocument
        For Each oSheet In oDrawing.Sheets
            If oSheet.DrawingViews.Count > 0 Then
                iSheetSectionCounter = 0
                For Each oView In oSheet.DrawingViews
                    If oView.ViewType = kSectionDrawingViewType Then
                        iSheetSectionCounter = iSheetSectionCounter + 1
                        oView.Name = Chr(64 + iSheetSectionCounter)
                    End If
                Next
            End If
        Next
    End If
End Sub
Sub DetailViewRename()
    Dim oDrawing As DrawingDocument
    Dim oSheet As Sheet
    Dim oView As DrawingView
    Dim iSheetDetailCounter As Integer
    If ThisApplication.ActiveDocument.DocumentType = kDrawingDocumentObject Then
    Set oDrawing = ThisApplication.ActiveDocument
        For Each oSheet In oDrawing.Sheets
            If oSheet.DrawingViews.Count > 0 Then
                iSheetDetailCounter = 0
                For Each oView In oSheet.DrawingViews
                    If oView.ViewType = kDetailDrawingViewType Then
                        iSheetDetailCounter = iSheetDetailCounter + 1
                        oView.Name = Chr(64 + iSheetDetailCounter)
                    End If
                Next
            End If
        Next
    End If
End Sub

Guillaume MASSART
AFFIVAL SAS
Inventor Pro 2022

Message 3 sur 6
jeanlouisJ54M5
en réponse à: gmassart

ok merci

je n'ai jamais fais de macro mais j'ai trouvé une rubrique dans l'aide de inventor, j'espère que ça va fonctionner ...

bonne journée

Message 4 sur 6
ThomasB44
en réponse à: jeanlouisJ54M5

Salut @jeanlouisJ54M5 

Editeur de styles/Norme :

ThomasB44_0-1637570449510.png

Certaines lettres sont volontairement omises et configurées dans cette option du style.


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 5 sur 6
patrick.emin
en réponse à: jeanlouisJ54M5

Bonjour @jeanlouisJ54M5 

Si une des réponses résout votre problème ou vous a permis de mieux le comprendre, voulez vous avoir l'amabilité de cliquer sur le bouton  APPROUVER LA SOLUTION  en bas de la réponse qui apporte une solution?
Cela facilitera la navigation de nos utilisateurs qui pourront directement atteindre la solution

Sachez qui si vous avez marqué une réponse comme solution par erreur, vous pouvez annuler ce marquage en cliquant sur le menu du fil (les trois points verticaux) et choisir "pas la solution"
Merci de ne pas accepter comme solution le message que vous êtes en train de lire.


Patrick Emin animateur de la communauté francophone


Vous avez trouvé un message utile? Alors donnez un "J'aime" à ce message!
Votre question a eu une réponse satisfaisante? Voulez vous avoir l'amabilité de cliquer sur le bouton
 APPROUVER LA SOLUTION  en bas de la réponse qui apporte une solution?
Signez notre Livre d'Or
Message 6 sur 6
patrick.emin
en réponse à: jeanlouisJ54M5

Bonjour @jeanlouisJ54M5 certaines réponses peuvent-elles être des solutions? Si oui pouvez vous les marquer somme telles?


Patrick Emin animateur de la communauté francophone


Vous avez trouvé un message utile? Alors donnez un "J'aime" à ce message!
Votre question a eu une réponse satisfaisante? Voulez vous avoir l'amabilité de cliquer sur le bouton
 APPROUVER LA SOLUTION  en bas de la réponse qui apporte une solution?
Signez notre Livre d'Or

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report